<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Activity Summary
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_ACTSUM extends ORM_TSM {
	protected $_table_name = 'ACTIVITY_SUMMARY';
	protected $_primary_key = 'START_TIME';
	protected $_sorting = array(
		'START_TIME'=>'ASC',
	);

	protected $_display_filters = array(
		'START_TIME'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
		'END_TIME'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
	);

	/**
	 * Return if this ACTIVITY SUMMARY would be still in the ACTIVITY LOG
	 */
	public function inActLog() {
		return ORM_TSM::date(ORM::factory('ACTLOG')->FirstRec(),'U') <= $this->start();
	}

	/**
	 * Return this ACTIVITY SUMMARY in GB
	 */
	public function bytes() {
		return (real)number_format($this->BYTES/1024/1024,0,'','');
	}

	/**
	 * Return this ACTIVITY SUMMARY start time in seconds since epoch
	 */
	public function start() {
		return ORM_TSM::date($this->START_TIME,'U');
	}
}
?>
